from distutils.core import setup

requires = []
try:
    import mercurial
except ImportError:
    requires.append('mercurial')

setup(
    name='hg-topics',
    version='1.0.0',
    author='Augie Fackler',
    maintainer='Augie Fackler',
    maintainer_email='augie@google.com',
    url='http://bitbucket.org/durin42/hg-topics/',
    description='Experimental tinkering with workflow ideas for topic branches.',
    long_description=open('README').read(),
    keywords='hg mercurial',
    license='GPLv2+',
    py_modules=['src'],
    install_requires=requires,
)
